import request from '/@/utils/request';

/**
 * 查询副屏版本列表API
 */
export function getVersionSubscreenListApi(params: object) {
	return request({
		url: '/system/version/subscreen/list',
		method: 'post',
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded',
		},
		params,
	});
}

/** 保存副屏版本数据API */
export function saveVersionSubscreenApi(params: object) {
	return request({
		url: '/system/version/subscreen/save',
		method: 'post',
		headers: {
			'Content-Type': 'application/json',
		},
		data: params,
	});
}

/** 删除副屏版本Api */
export function deleteVersionSubscreenIdApi(params: string) {
	return request({
		url: '/system/version/subscreen/delete',
		method: 'post',
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded',
		},
		data: params,
	});
}
